<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:clickable="true"
    android:background="@drawable/ripple_water">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingTop="@dimen/d_12"
        android:paddingBottom="@dimen/d_12">

        <TextView
            android:id="@+id/studentName"
            style="@style/table_cell"
            android:layout_weight="1.5"
            android:paddingStart="@dimen/dp_40"
            android:text="请假学生" />

        <FrameLayout
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="人脸">

            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/faceImg"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                app:qmui_border_color="@color/white"
                app:qmui_corner_radius="@dimen/d_5" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/faceEmpty"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                android:paddingTop="@dimen/d_5"
                android:paddingBottom="@dimen/d_5"
                android:text="未设置"
                android:textColor="@color/white"
                app:qmui_backgroundColor="#ccc"
                app:qmui_borderColor="#ccc"
                app:qmui_radius="@dimen/d_5" />
        </FrameLayout>

        <TextView
            android:id="@+id/className"
            style="@style/table_cell"
            android:layout_weight="3"
            android:text="班级" />

        <TextView
            android:id="@+id/typeName"
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="类型" />

        <TextView
            android:id="@+id/leaveTime"
            style="@style/table_cell"
            android:layout_weight="4"
            android:text="时间"
            android:textColor="#3ca0e9" />

        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/table_cell" >
            <TextView
                android:id="@+id/statusName"
                style="@style/table_status_cell"
                android:text="时间" />
            <TextView
                android:id="@+id/subStatusName"
                style="@style/table_status_cell"
                android:text="时间" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <TextView
            android:id="@+id/applyTime"
            style="@style/table_cell"
            android:text="时间" />

        <TextView
            android:id="@+id/addUser"
            style="@style/table_cell"
            android:text="时间" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <View
        android:id="@+id/bottomLine"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/backgroundColor" />
</LinearLayout>